﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataGridDragDropDemo
{
    public class MainViewModel
    {
        public ObservableCollection<Person> People { get; }

        public MainViewModel()
        {
            var p0a = new Person("Jones", "Thomas", 19, false);
            var p0b = new Person("Evans", "Paul", 90, true);
            var p0c = new Person("Johnson", "Andrea", 9, false);

            var p1 = new Person("Smith", "John", 34, true);
            var p2 = new Person("Smith", "Mark", 13, false);
            var p3 = new Person("Smith", "Kate", 11, false);

            var p4 = new Person("Santana", "Thomas", 6, false);
            var p5 = new Person("Santana", "Kate", 8, true);
            var p6 = new Person("Santana", "John", 5, false);

            var p7 = new Person("Williams", "Allison", 60, false);
            var p8 = new Person("Williams", "Emma", 89, false);
            var p9 = new Person("Williams", "Cindy", 51, true);

            People = new ObservableCollection<Person>() {p0a, p0b, p0c, p1, p2, p3, p4, p5, p6, p7, p8, p9};
        }
    }

    public class Person
    {
        public string Surname { get; }
        public string Name { get; }
        public int Age { get; }
        public bool ShowLine { get; }

        public Person(string surname, string name, int age, bool showLine)
        {
            Surname = surname;
            Name = name;
            Age = age;
            ShowLine = showLine;
        }
    }
}
